de.esprit.netsuite.netdata.enums

## Enum LockAction

- java.lang.Object
- - java.lang.Enum<LockAction>
  - - de.esprit.netsuite.netdata.enums.LockAction

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<LockAction>

      public enum LockAction
      extends java.lang.Enum<LockAction>

  These are the actions that can be performed on resource locks.
  Author:
    Rainer Buesch

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ACQUIRE`
    `RELEASE`
    `TYPE_CHANGE`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isAcquire()`
    `boolean` | `isRelease()`
    `boolean` | `isTypeChange()`
    `static LockAction` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static LockAction[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ACQUIRE

          public static final LockAction ACQUIRE

    - #### RELEASE

          public static final LockAction RELEASE

    - #### TYPE_CHANGE

          public static final LockAction TYPE_CHANGE

  - ### Method Detail

    - #### values

          public static LockAction[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (LockAction c : LockAction.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static LockAction valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### isAcquire

          public boolean isAcquire()

    - #### isRelease

          public boolean isRelease()

    - #### isTypeChange

          public boolean isTypeChange()

Copyright © 2014 EsprIT-Systems. All Rights Reserved.